Determining version of OpenSSL

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Determining version of OpenSSL

Adam Mercer
Hi

I'm trying to determine the version of OpenSSL that a given python is
compiled against, with python2.7 I can do this with:

import ssl
ssl.OPENSSL_VERSION

is there a way that this can be done in python2.4? It's annoying but I
need to support python2.4 for a while yet :-(

Cheers

Adam
--
http://mail.python.org/mailman/listinfo/python-list
Reply | Threaded
Open this post in threaded view
|

Re: Determining version of OpenSSL

"Martin v. Löwis"
> import ssl
> ssl.OPENSSL_VERSION
>
> is there a way that this can be done in python2.4? It's annoying but I
> need to support python2.4 for a while yet :-(

ldd /usr/lib/python2.4/lib-dynload/_ssl.so
[...]
        libssl.so.0.9.8 => /usr/lib/libssl.so.0.9.8 (0x00007f6a5a9b7000)
[...]

HTH,
Martin
--
http://mail.python.org/mailman/listinfo/python-list
Reply | Threaded
Open this post in threaded view
|

Re: Determining version of OpenSSL

Adam Mercer
On Mon, Apr 4, 2011 at 16:44, Martin v. Loewis <[hidden email]> wrote:

>> is there a way that this can be done in python2.4? It's annoying but I
>> need to support python2.4 for a while yet :-(
>
> ldd /usr/lib/python2.4/lib-dynload/_ssl.so
> [...]
>        libssl.so.0.9.8 => /usr/lib/libssl.so.0.9.8 (0x00007f6a5a9b7000)
> [...]

Thanks but I was hoping to do this using python as this code needs to
run on both Linux and Mac OS X, I know I can run the appropriate tools
depending on the platform. This is an option at least...

Cheers

Adam
--
http://mail.python.org/mailman/listinfo/python-list